### Method

# Fwupd BiosSetting set_kind

#### Declaration [src]

    void
    fwupd_bios_setting_set_kind (
      FwupdBiosSetting* self,
      FwupdBiosSettingKind type
    )

#### Description [src]

Sets the BIOS setting type used by the kernel interface.

Available since: | 1.8.4

#### Parameters

`type` | `FwupdBiosSettingKind`
| A bios setting type, e.g. `FWUPD_BIOS_SETTING_KIND_ENUMERATION`.